Class: Aws::DataExchange::Types::ConflictException

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-dataexchange/lib/aws-sdk-dataexchange/types.rb

Overview

The request couldn't be completed because it conflicted with the current state of the resource.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#messageString

The request couldn't be completed because it conflicted with the current state of the resource.

Returns:

  • (String)


372
373
374
375
376
377
378
# File 'gems/aws-sdk-dataexchange/lib/aws-sdk-dataexchange/types.rb', line 372

class ConflictException < Struct.new(
  :message,
  :resource_id,
  :resource_type)
  SENSITIVE = []
  include Aws::Structure
end

#resource_idString

The unique identifier for the resource with the conflict.

Returns:

  • (String)


372
373
374
375
376
377
378
# File 'gems/aws-sdk-dataexchange/lib/aws-sdk-dataexchange/types.rb', line 372

class ConflictException < Struct.new(
  :message,
  :resource_id,
  :resource_type)
  SENSITIVE = []
  include Aws::Structure
end

#resource_typeString

The type of the resource with the conflict.

Returns:

  • (String)


372
373
374
375
376
377
378
# File 'gems/aws-sdk-dataexchange/lib/aws-sdk-dataexchange/types.rb', line 372

class ConflictException < Struct.new(
  :message,
  :resource_id,
  :resource_type)
  SENSITIVE = []
  include Aws::Structure
end